=== debian/changelog ===
hugin (2019.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version, identical to rc1.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Jul 2019 18:30:03 +0200

hugin (2019.0.0~rc1+dfsg-1) experimental; urgency=low

  * Another watchfile update.
  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 23 Mar 2019 15:34:02 +0100

hugin (2019.0.0~beta2+dfsg-1) experimental; urgency=low

  * New upstream version.
    + Drop 30_*diff.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Feb 2019 19:31:46 +0100

hugin (2019.0.0~beta1+dfsg-2) experimental; urgency=low

  * Update to head of release branch:
    + 30_8078_537f0ed7aeef_Fix_typos__found_by_lintian_.diff  - Replaces
      30_typos_lintian.diff.
    + 30_8080_e6ffd30a86c7_Store_also_user_files_according_to_XDG_spec.diff
      When built with wx 3.1 also use XDG base dir specification for
      .hugindata.
    + 30_8081_450bd3d741eb_Fixes_crash_on_closing_simple_interface__1813404_.diff
    + 30_8084_6a79af4e19b6_calibrate_lens_gui__Correctly_initialize_member_variable_m_monitorProfile.diff

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 Jan 2019 17:25:33 +0100

hugin (2019.0.0~beta1+dfsg-1) experimental; urgency=low

  * Replace 20_flann_find_pkg-config.patch with the version committed to
    upstream HG (which adds a non-UNIX else).
    20_1a94c3ea8898_Update_flann_search_module.diff
  * Run "wrap-and-sort --max-line-length=72 --short-indent" and add back
    autodeleted comments.
  * Add more heuristics to watchfile, beta for 2019.0.0 is shipped as
    2019.0.beta1.
  * New upstream snapshot.
    + Drop 20_1a94c3ea8898_Update_flann_search_module.diff
      30_typo_constrast.diff
    + Icons moved from /usr/share/pixmaps to /usr/share/icons, update .install
      file.
    + Ship newly available appdata files in hugin-data.
  * Use debhelper 11 compat level.
  * [lintian] 30_typos_lintian.diff: Fix typos Unknow/Therefor/therefor.
  * Add Suggests: dcraw | rawtherapee | darktable, needed for raw import.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Jan 2019 16:37:02 +0100
