=== debian/watch ===
version=4

opts="uversionmangle=s/([0-9])[._-]([a-z])/$1\~$2/g,dversionmangle=s/\+dfsg//,compression=xz,repacksuffix=+dfsg" \
       http://sf.net/hugin/hugin-(.+)@ARCHIVE_EXT@
