=== debian/changelog ===
hugin (2019.2.0~rc1+dfsg-2) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure URI in debian/watch.

  [ Andreas Metzler ]
  * Add b-d on libx11-dev, it is not pulled in indirectly anymore.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 25 Dec 2019 15:02:26 +0100

hugin (2019.2.0~rc1+dfsg-1) experimental; urgency=low

  * New upstream version.
    + Bump b-d for cmake to 3.8, and for swig to 2.0.4.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 29 Nov 2019 11:36:56 +0100

hugin (2019.0.0+dfsg-4) unstable; urgency=low

  * Temporarily version b-d on libwxgtk3.0-gtk3-dev with
    >= 3.0.4+dfsg-12 to avoid building against -10 and -11. (See #939740)

 -- Andreas Metzler <ametzler@debian.org>  Tue, 10 Sep 2019 19:36:20 +0200

hugin (2019.0.0+dfsg-3) unstable; urgency=low

  * Switch to python3. Closes: #936713
  * Hugin does not run natively under wayland, force usage of X11 GDK backend.
    (Thanks, Carsten Wolf!) Closes: #939747
  * Use DH 12 compat.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 Sep 2019 14:54:53 +0200

hugin (2019.0.0+dfsg-2) unstable; urgency=low

  * Rebuild against GTK 3 implementation of wxWidgets.
    + B-d on libwxgtk3.0-gtk3-dev instead of libwxgtk3.0-dev.
    + Drop unused b-d on libgtk2.0-dev.
    + Add missing b-d on pkg-config (previously pulled in by libgtk2.0-dev).
    Closes: #933436

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Aug 2019 13:51:51 +0200
