=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 # hugin can use Boost::Signal or in Boost >= 1.54 Boost::Signal2 which is
 # shipped in libboost-dev.
 Build-Depends:
- cmake (>= 3.1),
- debhelper-compat (= 11),
+ cmake (>= 3.8),
+ debhelper-compat (= 12),
  dh-python,
  libboost-filesystem-dev (>= 1.47),
  libboost-graph-dev (>= 1.47),
@@ -20,7 +20,6 @@
  libfftw3-dev,
  libflann-dev,
  libglew-dev,
- libgtk2.0-dev,
  libjpeg-dev,
  liblcms2-dev,
  libopenexr-dev,
@@ -29,12 +28,14 @@
  libsqlite3-dev,
  libtiff-dev,
  libvigraimpex-dev (>=1.9),
- libwxgtk3.0-dev,
- python-dev,
- swig (>= 2.0),
+ libwxgtk3.0-gtk3-dev (>= 3.0.4+dfsg-12),
+ libx11-dev,
+ pkg-config,
+ python3-dev,
+ swig (>= 2.0.4),
  zlib1g-dev
 Build-Conflicts: wx2.6-headers, wx2.8-headers
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: http://hugin.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/hugin.git
@@ -77,9 +78,9 @@
 Depends:
  hugin-data (= ${source:Version}),
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${shlibs:Depends}
-Breaks: hugin-bin (<< 0.7.0~svn), ${python:Breaks}
+Breaks: hugin-bin (<< 0.7.0~svn), ${python3:Breaks}
 Replaces: hugin-bin (<< 0.7.0~svn)
 Recommends: libpano13-bin
 Provides: python-hsi
@@ -118,10 +119,10 @@
 
 Package: hugin-data
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Breaks: ${python:Breaks}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Breaks: ${python3:Breaks}
 # imports of included plugins
-Suggests: python-wxgtk3.0
+Suggests: python-wxgtk4.0
 Description: panorama photo stitcher - common data files
  Hugin is a panorama photo stitching program.
  .
